Products
Esta página no está disponible en español. Se muestra la versión en inglés.
Get a list of product preferences
Use this method to obtain a list of preferences added to a specific product. The preferences can include additional information about the product. Clients can view the preferences before opening product-associated accounts in the Trader's Room.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
productId*integer
The product identifier.
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 1000Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0sort_order?string
Sorts the items in ascending or descending order
Default
"desc"Value in
- "asc"
- "desc"
sort_by?string
Sorts the items by a specified value
Value in
- "id"
- "createTime"
filter?
Filters the items by a specified value
Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/products/1/preferences?limit=10&offset=0&sort_order=desc" \ -H "accept-language: ja"{ "total": 1, "data": [ { "id": 0, "title": "string", "value": "string", "resources": [ { "key": "caption", "locale": "en_En", "value": "value" } ] } ]}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}